]> git.sur5r.net Git - bacula/bacula/commitdiff
Updates
authorKern Sibbald <kern@sibbald.com>
Thu, 23 Feb 2006 18:17:41 +0000 (18:17 +0000)
committerKern Sibbald <kern@sibbald.com>
Thu, 23 Feb 2006 18:17:41 +0000 (18:17 +0000)
git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@2808 91ce42f0-d328-0410-95d8-f526ca767f89

regress/all-non-root-tests
regress/scripts/bacula-dir-tape.conf.in
regress/tests/bextract-test
regress/tests/scratch-pool-test [new file with mode: 0755]
regress/tests/two-volume-test

index 26122a5b743786a310009e1cc2bc498d2ac5373c..1438441cb5d43b9e742d3cea7a756e6361ccc4a6 100755 (executable)
@@ -32,9 +32,10 @@ tests/weird-files-test
 # 
 # The following are Virtual Disk Autochanger tests
 tests/two-pool-test
-tests/two-volume-disk
+tests/two-volume-test
 tests/incremental-2disk
 tests/2drive-incremental-2disk
+tests/scratch-pool-test
 echo " "
 echo "Test results"
 cat test.out
index fc5b15b8b21a70b96de0b4594bb630d08893d789..dc2475327eba4c3ebeacab0b0d361e10669ce9a1 100644 (file)
@@ -170,7 +170,6 @@ Pool {
   Recycle = yes                       # Bacula can automatically recycle Volumes
   AutoPrune = yes                     # Prune expired volumes
   Volume Retention = 365d             # one year
-  Accept Any Volume = yes             # write on any volume in the pool
 }
 
 Pool {
@@ -179,7 +178,6 @@ Pool {
   Recycle = yes                       # Bacula can automatically recycle Volumes
   AutoPrune = yes                     # Prune expired volumes
   Volume Retention = 365d             # one year
-  Accept Any Volume = yes             # write on any volume in the pool
 }
 
 Pool {
@@ -188,5 +186,13 @@ Pool {
   Recycle = yes                       # Bacula can automatically recycle Volumes
   AutoPrune = yes                     # Prune expired volumes
   Volume Retention = 365d             # one year
-  Accept Any Volume = yes             # write on any volume in the pool
 }
+
+Pool {
+  Name = Scratch
+  Pool Type = Backup
+  Recycle = yes                       # Bacula can automatically recycle Volumes
+  AutoPrune = yes                     # Prune expired volumes
+  Volume Retention = 365d             # one year
+}
+
index a07b387a2fd563f0f9b6ad07deef701af471313b..b0626da73f6a4fc03824f69f28795eee45639a97 100755 (executable)
@@ -55,6 +55,7 @@ fi
 scripts/check_for_zombie_jobs storage=File1
 bin/bacula stop 2>&1 >/dev/null
 mkdir -p ${cwd}/tmp/bacula-restores
+exit
 bin/bextract -b working/restore.bsr -c bin/bacula-sd.conf ${cwd}/tmp ${cwd}/tmp/bacula-restores 2>&1 >/dev/null
 grep "^  Termination: *Backup OK" tmp/log1.out 2>&1 >/dev/null
 bstat=$?
diff --git a/regress/tests/scratch-pool-test b/regress/tests/scratch-pool-test
new file mode 100755 (executable)
index 0000000..44ba8fd
--- /dev/null
@@ -0,0 +1,95 @@
+#!/bin/sh
+#
+# Run a simple backup of the Bacula build directory 
+#  to two tapes where the maximum tape file size is set to 1M
+#  Note, this test simulates the tape filling and writing to
+#   the next tape. One minor wrinkle: we create the two tapes
+#   in the Scratch pool, so they should be switched to the Default
+#   Pool automatically.
+#
+#  Note we use the viritual disk autochanger
+#
+debug=0
+. config.out
+if test x${AUTOCHANGER} = x/dev/null ; then
+   echo "two-volume-test skipped. No autochanger."
+   exit
+fi
+if test "$debug" -eq 1 ; then
+  out="tee"
+else
+  out="output"
+fi
+cwd=`pwd`
+scripts/cleanup
+scripts/copy-2disk-confs
+scripts/prepare-two-disks
+echo "${cwd}/build" >/tmp/file-list
+
+outf="tmp/sed_tmp"
+echo "s%# Maximum File Size%  Maximum File Size%g" >${outf}
+cp ${cwd}/bin/bacula-sd.conf ${cwd}/tmp/1
+sed -f ${outf} ${cwd}/tmp/1 >${cwd}/bin/bacula-sd.conf
+
+echo " "
+echo " "
+echo " === Starting Scratch Pool Test at `date +%R:%S` ==="
+echo " === Starting Scratch Pool Test at `date +%R:%S` ===" >>working/log
+echo " "
+# Write out bconsole commands
+cat <<END_OF_DATA >tmp/bconcmds
+@$out /dev/null
+messages
+@$out tmp/log1.out
+label storage=DDS-4 volume=TestVolume001 slot=1 pool=Scratch drive=0
+label storage=DDS-4 volume=TestVolume002 slot=2 pool=Scratch drive=0
+update Volume=TestVolume001 MaxVolBytes=3000000 pool=Scratch drive=0
+update Volume=TestVolume001 inchanger=no pool=Scratch drive=0
+@#setdebug level=200 storage=DDS-4
+llist volume=TestVolume001
+run job=NightlySave yes
+wait
+messages
+list volumes
+llist volume=TestVolume001
+quit
+@# 
+@# now do a restore
+@#
+@$out tmp/log2.out
+restore where=${cwd}/tmp/bacula-restores select all storage=DDS-4 done
+yes
+wait
+messages
+@$out
+quit
+END_OF_DATA
+
+if test "$debug" -eq 1 ; then
+  bin/bacula start
+  cat tmp/bconcmds | bin/bconsole -c bin/bconsole.conf
+else
+  bin/bacula start 2>&1 >/dev/null
+  cat tmp/bconcmds | bin/bconsole -c bin/bconsole.conf  2>&1 >/dev/null
+fi
+exit
+scripts/check_for_zombie_jobs storage=DDS-4
+
+bin/bacula stop 2>&1 >/dev/null
+grep "^  Termination: *Backup OK" tmp/log1.out 2>&1 >/dev/null
+bstat=$?
+grep "^  Termination: *Restore OK" tmp/log2.out 2>&1 >/dev/null
+rstat=$?
+diff -r build tmp/bacula-restores${cwd}/build 2>&1 >/dev/null
+if [ $? != 0 -o $bstat != 0 -o $rstat != 0 ] ; then
+   echo " "
+   echo " "
+   echo "  !!!!! Scratch Pool Test Bacula source failed!!! !!!!! "
+   echo "  !!!!! Scratch Pool Test failed!!! !!!!! " >>test.out
+   echo " "
+else
+   echo "  ===== Scratch Pool Test Bacula source OK ===== "
+   echo "  ===== Scratch Pool Test OK ===== " >>test.out
+#  scripts/cleanup
+fi
index dd756657159742b50e4a5e213bd9ffa0ca2d6e90..55b3bba6cd34db4f6b77985fcbbcdd598c49d306 100755 (executable)
@@ -5,7 +5,7 @@
 #  Note, this test simulates the tape filling and writing to
 #   the next tape.
 #
-#  Note we used the viritual disk autochanger
+#  Note we use the viritual disk autochanger
 #
 . config.out
 if test x${AUTOCHANGER} = x/dev/null ; then